Subject: bug#73501: 30.0.91; zoom smaller/larger svg image file unresponsive

From: Van Ly <[email-masked]>
Date: Fri, 27 Sep 2024 09:36:11 +0000

Eli Zaretskii <[email-masked]> writes:

>> Date: Thu, 26 Sep 2024 15:49:48 +0000
>> From:  Van Ly via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <[email-masked]>
>> 
>> Using the following svg image file
>> 
>>  -> https://commons.wikimedia.org/wiki/File:CaldwellStarChart.svg
>> 
>> when "emacs -Q" is toggled fullscreen on 1080p display and the above
>> file is opened, "C-x C-+" and "C-x C--" text-scale-adjust command won't
>> zoom to enlarge or shrink the rendered image.
>
> I cannot reproduce this: I can zoom in or out this file in full-screen
> Emacs frame.
>
>> Expected behavior is zoom to enlarge/shrink happens in response to "C-x C-+" and "C-x C--".
>
> I get the expected behavior.
>
> Do you see something interesting in *Messages*?
>

# Contents of *Messages*

1 For information about GNU Emacs and the GNU system, type C-h C-a.
2 Type C-c C-c to view the image as text
3 Use +, =, -, 0, C-+, C-=, C--, C-0 for further adjustment [5 times]

The above 5 attempts to enlarge at fullscreen does nothing.

I see the svg image resize automatically at fullwidth from default frame
size to 50-percent of fullscreen, toggling back to default frame size
will automatically shrink the svg image file.

As attached below, I see two SVG libraries for GNOME installed but my
emacs is linked to LUCID X toolkit.

-- 
vl